## org.apache.mahout.clustering.spectral
Class VectorMatrixMultiplicationJob

    java.lang.Object
      org.apache.mahout.clustering.spectral.VectorMatrixMultiplicationJob

    public final class VectorMatrixMultiplicationJob

extends Object

This class handles the three-way multiplication of the digonal matrix and the Markov transition matrix inherent in the Eigencuts algorithm. The equation takes the form:

`W = D^(1/2) * M * D^(1/2)`

Since the diagonal matrix D has only n non-zero elements, it is represented as a dense vector in this job, rather than a full n-by-n matrix. This job performs the multiplications and returns the new DRM.

Nested Class Summary
`static class` `VectorMatrixMultiplicationJob.VectorMatrixMultiplicationMapper`

Method Summary
`static DistributedRowMatrix` `runJob(org.apache.hadoop.fs.Path markovPath, Vector diag, org.apache.hadoop.fs.Path outputPath)` Invokes the job.
`static DistributedRowMatrix` `runJob(org.apache.hadoop.fs.Path markovPath, Vector diag, org.apache.hadoop.fs.Path outputPath, org.apache.hadoop.fs.Path tmpPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runJob

    public static DistributedRowMatrix runJob(org.apache.hadoop.fs.Path markovPath,
                                              Vector diag,
                                              org.apache.hadoop.fs.Path outputPath)
                                       throws IOException,
                                              ClassNotFoundException,
                                              InterruptedException

  Invokes the job.

  Parameters:
    `markovPath` - Path to the markov DRM's sequence files
  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

### runJob

    public static DistributedRowMatrix runJob(org.apache.hadoop.fs.Path markovPath,
                                              Vector diag,
                                              org.apache.hadoop.fs.Path outputPath,
                                              org.apache.hadoop.fs.Path tmpPath)
                                       throws IOException,
                                              ClassNotFoundException,
                                              InterruptedException

  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.